*********************
**  Version 3.1.2  **
*********************
Improvement:
- Fix style conflicts with additional Gravity Forms themes


*********************
**  Version 3.1.1  **
*********************
New feature:
- Add border radius to images and their frames

Improvement:
- Make images fit as cover inside containers to fit better in list styles when not cropped to squares
- Fixed reinforcement of image border radius when using reinforced styles
- Fix style compatibilities issues with Astra theme


*********************
***  Version 3.1  ***
*********************
Improvements:
- Improved translatability of the plugin
- Improvements in Flip styles
- Improvements in Shade styles
- Improvements in how Default Radio/Checkboxes are handled
- Fixes in Material Theme: Remove unnecessary border from error fields
- Fixes in customization of validation messages
- Improved Reinforced styles for Validation messages
- Improved the way image alt is saved
- Improved Edit Forms (in Gravity Flow)
- Minify Customized CSS before saving it to reduce page and data size
- Unify button styles for Classy Glassy
- Fixed: Center align on footer wasn't working after a GF update
- Fixed: Button hover styles were being out prioritized after a GF update
- Fixed an issue where button hover styles didn't work for some themes
- Fixed: Button center not working in some scenarios
- Fixed: Validation colors customization wasn't working in some scenarios
- Remove duplicate icons in Theme Settings


*********************
**  Version 3.0.3  **
*********************
Improvements:
- Added general button element styling, so all buttons on the form have a unified look


*********************
**  Version 3.0.2  **
*********************
Improvements:
- Fixed an issue where settings would not properly save after updating to Gravity Forms 2.5.15
- Fixed CSS issues with consent field Styles
- Fixed CSS issues with CC icons in Legacy Mode
- Fixed an issue where some theme customizations did not work in Product Add-On forms


*********************
***  Version 3.0  ***
*********************
New Features:
- Live Style Editor for Styles Pro Themes
- Create Theme Variations
- Import/Export theme styles
- Updated Theme Customization UI
- New Styles: Move animated radio/checkbox icon towards the end (on the right, on RTL)
- Google Fonts now supported with weight variations. Selected variations are automatically enqueued
- Switch to the selected theme in Customizer when coming from Form Settings
- Allow overriding of Themes using the /gf_stylespro folder inside your active theme/child theme
- Allow adding custom themes to /gf_stylespro folder inside your theme/child-theme

Other Fixes:
- Overhauled Draw styles
- Fixed an issue where icon previews were not working for newly added icons in the Form Editor
- Several style improvements in form editor
- Remove minor warnings for rare exceptions
- Fixes in Ethereal Material, Kiwi Themes
- Other minor improvements
- Does not embed iconsets on form editor unless Styles Pro is activated for that form
- Use validation background color for validation popup
- Improved Black and White image effect
- Fixed an issue where Previous button was not being properly styled by the Customizer
- Fixed CSS issues with Radio/Checkbox Frame Styles used with Pricing
- Updated Google Fonts list
- Improvements in Float Labels script and styles
- Fix: Custom validation message was not validating when HTML was added
- Fix: Legacy datepicker styles were being loaded on new markup forms
- Fix: Legacy 'Other' radio option not working
- Fix: Legacy - Whitespaces taking extra spaces between LI columns
- Several improvements under the hood


*********************
** Version 2.7.4.1 **
*********************
- Legacy styles: Fixed Consent field's styling for some style combinations


*********************
*** Version 2.7.4 ***
*********************
- Fixed Consent field's styling for some style combinations
- Legacy: CSS fixes for file upload validation message
- Legacy: Fixed Inherit theme's default margin bottom
- Legacy: Fixed button text alignment
- Fixed some CSS issues with Classy Glassy theme
- Legacy: Improved Frame styles for non-ornamented choices
- Fixed an issue where Background setting didn't clear the Background image as expected


*********************
*** Version 2.7.3 ***
*********************
- New feature: Placeholder color
- Improved UI in Form Editor
- Fixed an issue where field sizes were inconsistent in the Firefox browser
- Fixed a sizing issue with 'full' width fields with icons
- Kiwi: Fixed an issue where field padding was not consistent
- Added versioning to some scripts
- Improvements in Frame styles
- Fixed color and spacing issues with non-ornament choices when mixed with ornamented choices
- Fixed 'Other' Radio option styling with fields with ornaments
- Improvements in Shade styles
- Fixed an issue where buttons would inherit styles from fields when no styling for buttons was added


*********************
*** Version 2.7.2 ***
*********************
- Fixed some bugs with theme styling options
- Fixed some styling issues with Kiwi and Classy Glassy themes
- Added icon style settings to Password fields



*********************
*** Version 2.7.1 ***
*********************
- Avoid Fatal Error when used with older versions of Gravity Forms in some cases
- Fixed an issue with Background image option in Theme Customization Options



*********************
***  Version 2.7  ***
*********************
- Complete compatibility for GF 2.5
- Several new features in Theme Customization options
- Refactored CSS for new GF 2.5 markup and base CSS
- Added new customization focused Modernized CSS
- Map old settings to new settings for upgrades
- Improvements in Frame styles
- Overhauled Theme Customization options
- Overhauled Styles Pro Settings for forms
- Overhauled Footer Styles
- Removed Layout options in favor of the new Drag and Drop builder in GF 2.5 (still available for Legacy forms)
- Removed other styling options, like Hide Label etc., which are now redundant with GF 2.5 (still available for Legacy forms)
- Added support for Legacy markup (Uses mostly legacy CSS)
- Upgraded themes' CSS to support new customizations
- Several CSS and JS improvements throughout the plugin
- Update Plugin Page styles



*********************
** Version 2.6.4.1 **
*********************
Improvements:
- Added 'height' attr to merge tags as fallback in email clients that override style attr




*********************
*** Version 2.6.4 ***
*********************
17-09-20
Improvements:
- Fixed 'Draw' style issues for Safari and IE
- Fixed an issue where Style Selector for 'Product: User defined price' did not show Field icon fold
- Fixed an issue where in some themes changing Radio or Checkbox option scrolls the page to the top
- Ethereal Material theme: Added support for complex labels above the field
- Improved styling for 'other' field in Radio Buttons




*********************
*** Version 2.6.3 ***
*********************
05-08-20
Improvements:
- Fixed JS issues with inherit theme, when used on very simple forms





*********************
** Version 2.6.4.1 **
*********************
Improvements:
- Added 'height' attr to merge tags as fallback in email clients that override style attr



*********************
*** Version 2.6.4 ***
*********************
21-10-20
Improvements:
- Fixed 'Draw' style issues for Safari and IE
- Fixed an issue where Style Selector for 'Product: User defined price' did not show Field icon fold
- Fixed an issue where in some themes changing Radio or Checkbox option scrolls the page to the top
- Ethereal Material theme: Added support for complex labels above the field
- Improved styling for 'other' field in Radio Buttons



*********************
*** Version 2.6.3 ***
*********************
05-08-20
Improvements:
- Fixed JS issues with inherit theme, when used on very simple forms



*********************
*** Version 2.6.2 ***
*********************
09-07-20
Improvements:
- Fixed an issue where 'Full Width' field size was not working (Gravity Forms update required; min V2.4.18.13)
- 'Other' field in Radio buttons would fall to the next line in some styles



*********************
*** Version 2.6.1 ***
*********************
06-07-20
Improvements:
- Some servers not showing Image Effect and Style Effect icons in Style Selector



*********************
***  Version 2.6  ***
*********************
29-06-20

New Features:
- Advanced Radio/checkbox styles color option
- Main button (next/submit) styling options
- 11 new Frame Styles
- Stackable effects
    - Image effects
        - Black and white
        - Fade
        - Blur
    - Style effects
        - Ripple
        - Drop shadow
        - Hover border
        - Remove padding
        - Null border
        - Remove border
        - Thick border
        - Stick overlay text to the edge
        - Square tick box

- 8 New Footer Styling options
  - Left Aligned
  - Right Aligned
  - Center
  - Spread
  - Full Footer
  - Center and Left
  - Center and Right
  - Inline Form

Improvements:
- Improved compatibility with X Theme
- CSS select box improvements for IE 10/11
- Improved AJAX spinner margin
- Changing validation color setting also sets required field asterisk's color
- Fixed a possible warning in some sites about theme index not found
- Improved styling for inset icons
- Float labels: Fixed an issue where clicking on the label text did not make the labels float in Firefox
- Added class gf_footer_clean
- Fixed CSS conflicts in Date and Time fields with Avia builder
- New form classes to neutralize theme effects gf_noeffect, gf_noeffect_label



*********************
*** Version 2.5.2 ***
*********************
21-09-19

New Feature:
- Added the ability to add custom Alt Text for Choice Images
- Added new theme customization options:
- - Validation color
- - Validation background

Improvements:
- Fixed field sizing, when using 1 field, in the Name field
- Better ADA compliance
- Better keyboard navigation
- Fixed a CSS issue where some browsers would use emoji icons instead of text for ticks and other unicodes



*********************
*** Version 2.5.1 ***
*********************
Improvements:
- Flip style animation consistency issue fixed 
- Fixed styling issues with Datepicker icon when used with Avia builder
- Fix styling that made screen reader text visible sometimes



*********************
***  Version 2.5  ***
*********************
17-04-19

New Features:
- Style Selector:
- - Ignore Screen Breakpoints (retain columns on smaller screens) in choices fields Columns
- Custom icon classes
- Added column and styling support for Post Category (radio/checkbox) field
- Added column and styling support for Survey (radio/checkbox) field
- Added filter 'gf_stylespro_theme_filter'

Improvements:
- Fixed icon size issue in some themes when using 'Inherit Theme Styles'
- Fixed some style issues with Thrive theme
- Removed excess border in Frame style (text only) when used with Gooseflap theme
- Fixed a bug with color picker on form editor with some plugins
- Improved compatibility with Astra theme
- Improved gfields margin rules to facilitate some themes
- Float labels: Check for browser autofill
- Added hover state to Frame styles
- Improved responsive Checkboxes in Inherit Theme Styles
- Fixed a bug where Pricing: Option field's icon would not save for the Dropdown
- Inherit Theme Styles: Field icons alignment issue for some themes
- Added Style support for Consent Field
- Fixed a bug where remove GF Wrapper class name option would also remove for forms without a theme
- Fixed a bug where icons where ornaments would still be added to the form even if 'No Theme' was selected
- Fixed a bug where choice ornaments options would hide another plugin's options
- Improved Frame styles for Pricing Options
- Consent field's hidden screen reader text button was showing
- Code refactoring for improved compatibility and semantics
- Improvements when using Material Float labels with Nested Forms
- Improvements with residual styling
- Improvements when disabling Styles Pro while using Gravity Flow Edit Forms
- Minor style improvements in Tick Top style
- Fix conflicts with Jetpack image lazyload for Product Option images
- Style: List
- - Improved CSS consistency
- Theme: Classy Glassy
- - Remove background on focus on Textarea and Chosen-choices fields



*********************
*** Version 2.4.8 ***
*********************
14-09-18

New Features:
- CSS Compatibility option in Global Settings

Improvements:
- Ethereal Material: Improved compatibility with fields filled via code
- Ethereal Material: Added compatibility with Phone and Website fields
- Changed targets for wrapper CSS to gf_stylespro_wrapper instead of gform_wrapper
- Fixed a bug in IE11 where image choice was unclickable
- Fixed a bug caused by a typo for Focus background color


*********************
*** Version 2.4.7 ***
*********************
13-08-18    

New Features:
- Style Selector: Special > Inline Label

Improvements:
- Inherit Theme Styles: Improved margin on radio/checkbox
- Fixed some responsive CSS issues introduced in v2.4.6


*********************
*** Version 2.4.6 ***
*********************
4-08-18    

Improvements:
- Updated Styles for the Chosen library (1.8.5) updated in Gravity Forms (2.3.3.)
- Improvements in multi-select box.


*********************
*** Version 2.4.5 ***
*********************
28-07-18

New Feature:
- RTL Support

Improvements:
- Improved number field's style consistency for some themes
- Added styles for Paypal footer button


*********************
*** Version 2.4.4 ***
*********************
06-07-18    

Improvements:
- Hide choice label support for Inherit Theme Styles theme
- Fixed a JS error when no JS action hooks (gform.addAction) are present with Inherit Theme Styles option


*********************
*** Version 2.4.3 ***
*********************
27-06-18

New Feature:
- New options under "Special" for checkbox/radio type fields: Hide choice label (image/icon only) 

Improvements:
- Added icon support for Coupon field
- Better support for Nested Forms Perk
- Removed the link for Custom Theme


*********************
*** Version 2.4.2 ***
*********************
05-06-18

Improvements:
- Apply Custom 'list highlight background' style to Frame (no tick) and Frame (top tick) styles
- Improved image sizing when smaller images are used
- Classy Glassy effect fixed for Multiselect chosen, and number fields
- Fixed: Button background color wouldn't change for Classy Glassy theme
- Fixed: Button border style wouldn't apply properly


*********************
***  Version 2.4  ***
*********************
04-06-18

New Theme option:
- Inherit Theme Styles

New Features:
- New Theme option: Inherit Theme Styles
- Float label option in Ethereal Material theme
- Use already embedded Custom Font, like webkit fonts
- Added new Ornament Styles:
- - Frame (top tick)
- - Frame (no tick)

Improvements:
- Overhauled Customization scripts
- Improvements in the way Fonts are loaded
- - Google fonts are now aggregated and linked on the page, instead of @import
- - Removed default use of Google Fonts from themes
- - Added admin notice to warn users to save settings to enable Default theme fonts
- Fixed an issue with 'Reset theme changes' option
- Fixed Address field size alignment
- Fixed styling issues for Phone field with some WP themes
- Improvements in Frame Style when using Text only
- Improvements in Styles Pro Settings page styles
- Added Pulse animation on 'Uninstall' button
- Fixed style conflicts with Edge browser
- - Disabled 'perspective' on Style: Flip for Edge until the bug in Edge browser is fixed
- - Use of 'Segoe UI Symbol' font to avoid the Green Tick
- Dequeue additional Gravity Forms layout stylesheet from Avia themes
- Fixed a JS error when auto-scroll to error field was enabled for non-AJAX forms
- Some minor CSS fixes
- - Enhanced selectbox width
- - File upload icon alignment
- - Improvements in full-width elements
- - Fixes in enhanced select box container size
- - 'Other' radio option size


*********************
** Version 2.3.6.1 **
*********************
29-03-18

Improvements:
- Fixed a bug with Merge Tags, where 'value' Merge Tag was also showing image


*********************
*** Version 2.3.6 ***
*********************
28-03-18

New Features:
- Added options to style field descriptions in Theme Customization Options
- Added new universal setting for Gravity Flow edit forms styling
- Added field icons compatibility to Post Title, Post Category, Post Image, Post Tags, Post Custom Field field type for compatible input types

Improvements:
- Fixed a bug where auto-scroll scrolled to the first error on the page, instead of the first error on the form which triggered it, in case of multiple forms.
- Fixed duplicate auto-scrolling function firing on AJAX forms when next/submit is pressed multiple times.
- Fixed a JS warning with Auto-scroll on error
- (CSS) Fixed "Save and Continue Later" button when it broke into 2 lines on smaller screens
- Added field icons compatibility to Post Title, Post Category, Post Image, Post Tags, Post Custom Field field type for compatible input types


*********************
** Version 2.3.5.2 **
*********************
20-03-18

Improvements:
- Added field icons compatibility to File Upload field type
- Improvements in Pixel Chisel and Modern Carbon theme to adjust File Upload field icons
- Fixed a bug where focus background would not apply to input type number
- Minor fix where pagebreak for Gravity PDF wasn't working


*********************
*** Version 2.3.5 ***
*********************
19-03-18

New Features:
- Merge tag modifier "image" to display images/icons for Radio/Checkbox choices
- - This modifier can be customized to resize the image/icon as "image.small", "image.50" (where 50 is max value in px for width/height)
- Added CSS Ready Classes-like support for Gravity PDF

Improvements:
- Fixed a bug when validation popup wouldn't work with "Default" theme
- Fixed a JS warning on Ornament previews when nothing from Style Selector is set yet
- Kiwi Theme: Increased width for select boxes (Month and Year) in CC fields by .5em.
- Fixed description ghosting effect when used Below Input with some themes
- Modern Carbon: Remove transparency from choices when checked
- Fixed default checkbox style width for some older versions of IE


*********************
**  Version 2.3.4  **
*********************
08-02-18

New Features:
- Added Advanced Button Styling Options
- Add your own images as field icons
- Added 6 columns option for choices

Improvements:
- CSS improvements in multi-column choices
- CSS improvements for Small ornament choices for "Style: Frame" when used with multi-columns
- CSS improvements for HTML5 Time Field
- CSS Improvement in CC expiration date fields when used in tight spaces
- Unused Styles Pro setting removed from Page Appearance settings 
- Fixed tooltips for Button Background and Button Text Color
- Fixed an issue with chained select medium size


*********************
**  Version 2.3.3  **
*********************
12-12-17

New Features:
- Added new Ornament Style: Shadow box

Improvements:
- Improvements in Left-align/right-align labels
- Fixed an issue when invisible fields disappeared on the Form Editor
- Fixed conflicts with Divi Visual Builder
- Fixed Card info Left/Right fields vertical alignment when only one of them has a label
- Added Hide Complex Field Labels option to CC Fields
- Added word wrapping to buttons for longer labels
- Fixed Default choices option width issue in case of longer labels
- Fixed Other Field Label padding in Gooseflap theme
- Inline choice options now break into separate rows on mobiles
- Hide label is now available in Section fields
- Scroll text now works with HTML and Section fields
- Fixed CSS conflict with WP Cost Estimation & Payment Forms Builder
- Fixed Frame Ornament custom background color for non-ornament options
- Fixed an issue with Edge where time fields would be too wide


*********************
***  Version 2.3  ***
*********************
20-09-17

New Feature:
- Field styling in Theme customization options (8 new options)
- Field styling options for active field

Improvements:
- Added theme descriptions
- Improved UX in Theme Customization
- Works with Product Add-on out of the box
- Added label behind other field in Radio Button
- Improved support for Gravity Flow plugin
- Enhanced inline style generation


*********************
**  Version 2.2.4  **
*********************
26-08-17

- Added scroll text for HTML and Section fields
- Fixed an issue when without settings an error was shown
- Fixed issue when GravityView would not load Default Theme
- Fixed a bug that shows an error in older versions of GF where get_plugin_settings() is not available
- Added version number in Styles Pro Main stylesheet enqueue
- Added box-sizing for fields
- Cleanup conflicting styles from Custom theme
- Fixed a CSS issue with Time Fields
- Added Icon/Images options to Product field Radio/Checkboxes
- Fixed an issue with Collapsible Sections add-on
- Fixed GF Visibility CSS
- Improved margin around Instructions
- Added Responsive styles for List Field type
- Added new option in Theme Customization
- - Reinforce Styles
- Added strength indicator styles for Password Field
- Complex fields are now full-width on mobile devices by default
- Moved Styles Pro styles to Front-end only


*********************
***  Version 2.2  ***
*********************
14-07-17

New Feature:
- Default Theme
- Images/Icon previews in Form Editor
- Ornaments options added to Custom Post Field and Post Tag fields

Improvements:
- UX/UI improvements in Styles Selector and Ornament Selector
- UX/UI improvements in Styles Pro Settings and Styles Pro Page
- Cleanup conflicting styles from Impreza and X theme
- Fixed CSS conflicts with User Registration Login
- Fixed padding with Ornament After placement
- Fixed Default Settings in Gooseflap theme
- Minor improvements in Gooseflap theme
- Styling Options for Left/Right aligned forms
- Fixed Validation Scroll conflicts


*********************
***  Version 2.1  ***
*********************
07-05-17

New Theme Added:
- Kiwi

New Features:
- Added icon counter with icon search search

Improvements:
- Fixed CSS conflicts with Survey Add-On
- Fixed validation CSS for complex fields
- Fixed icons for complex fields and date field
- Fixed Toggle CSS
- Fixed Shade Styles for Inline Small images
- Fixed Option text-shadow issue in Edge browser


*********************
***  Version 2.0  ***
*********************
23-03-17

New Features:
- Customize Validation Message (HTML allowed)
- Show validation message in a CSS pop-up
- On validation page reload, scroll to the first field with error
- Better support for Gravity Forms no-conflict mode
- Improved compatibility for unofficial Gravity Forms widgets and themes
- Added support for User Role editing plugins
- Added support for GravityView Edit Entry
- Hide complex labels fields
- Field Size: Full width
- Add icons to Text, Number, Date, Email, Select fields
- Choose from 4 styles for field icons
- Add ornaments (icons OR images) to Radio and Checkbox choices
- Replace default checkbox and radio icons with animated toggles/sliders (7 options)
- 7 styles for checkbox/radio fields with ornaments
- Use custom colors for each icon
- 3 size options for ornaments
- Ornaments placement option (before or after the text)

Theme Customization:
- Default icon colors
- Field margin (bottom)
- Button text color
- Button background color
- Default icon color
- Background highlight color for supported ornament styles

2 New Themes added:
- Ethereal Material
- Flat Splat

Main Styles:
- Added styles for Popup validation
- Display none added for radio and checkboxes not(old)
- Fixed honeypot field
- Fixed Name fields CSS
- Fixed Save for later
- Fixed Multiselect